#
# spec file for package perl-YAML-LibYAML
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-YAML-LibYAML
Version:        0.38
Release:        7.3
%define cpan_name YAML-LibYAML
Summary:        YAML::LibYAML Perl module
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/YAML-LibYAML/
Source:         http://www.cpan.org/authors/id/I/IN/INGY/%{cpan_name}-%{version}.tar.gz
Patch1:         CVE-2012-1152-YAML-LibYAML-0.35-format-error.patch
Patch2:         CVE-2013-6393.patch
Patch3:         CVE-2014-2525.patch
Patch4:         CVE-2014-9130.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Kirill Siminov's libyaml is arguably the best YAML implementation. The C
library is written precisely to the YAML 1.1 specification. It was originally
bound to Python and was later bound to Ruby.

This module is a Perl XS binding to libyaml which offers Perl the best YAML
support to date.

This module exports the functions Dump and Load. These functions are intended
to work exactly like YAML.pm's corresponding functions.

%prep
%setup -q -n %{cpan_name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(644,root,root,755)
%doc Changes README

%changelog
* Mon Feb  9 2015 vcizek@suse.com
- fix CVE-2014-9130: libyaml: assert failure when processing
  wrapped strings (bnc#907809)
  CVE-2014-9130.patch contains the fix
- fix CVE-2014-2525: libyaml: heap overflow during parsing (bnc#868944)
- added patches:
  * CVE-2014-2525.patch
- fix CVE-2013-6393: libyaml: heap based buffer, overflow due to
  integer misuse, bnc#860617
- added patches:
  * CVE-2013-6393.patch
* Wed May 30 2012 coolo@suse.com
- updated to 0.38
  - Apply SPROUT++ deparse test patch. Thanks!
* Wed Apr 25 2012 pascal.bleser@opensuse.org
- CVE-2012-1152: added patch to fix multiple format string flaws:
  A remote attacker could provide a specially-crafted YAML document, which once
  processed by the perl-YAML-LibYAML interface would lead to perl-YAML-LibYAML
  based process crash. bnc#751503
* Sun Oct  2 2011 pascal.bleser@opensuse.org
- update to 0.37:
  * fix the bug that accidentally released YAML-XS instead of YAML-LibYAML
- changes from 0.36:
  * switch to Module::Package
  * fix LoadFile on empty file failure
* Mon Apr  4 2011 coolo@novell.com
- updated to 0.35
  - Apply bdfoy patch from rt-46172
  - Update ppport.h to fix rt-64749 & rt-62054
  - Add ANDK's regexp.t patch from rt-62266
  - These changes from chansen++
  - Handle misbehaved tied hashes
  - Handle 'get' magic
  - Added support for tied arrays and hashes
  - Don't turn on the UTF-8 flag for strings containing US-ASCII (0x00-0x7F)
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Jun 14 2010 pascal.bleser@opensuse.org
- initial package (0.33)
